zlascl2.f(3)

NAME
zlascl2.f -

SYNOPSIS

  Functions/Subroutines
subroutine ZLASCL2 (M, N, D, X, LDX)
ZLASCL2

Function/Subroutine Documentation

  subroutine ZLASCL2 (INTEGERM, INTEGERN, DOUBLE PRECISION, dimension( * )D, COMPLEX*16, dimension( ldx, * )X, INTEGERLDX)

ZLASCL2

Purpose:

     ZLASCL2 performs a diagonal scaling on a vector:
       x <-- D * x
     where the DOUBLE PRECISION diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_zge_diag_scale in the new BLAS
     standard.

Parameters:
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of D and X. N >= 0.

    D

              D is DOUBLE PRECISION array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is COMPLEX*16 array, dimension (LDX,N)
         On entry, the vector X to be scaled by D.
         On exit, the scaled vector.

    LDX

              LDX is INTEGER
         The leading dimension of the vector X. LDX >= 0.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 92 of file zlascl2.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.